Bug 369491 - add scrollback config option for larger history
Summary: add scrollback config option for larger history
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkterm   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-07 10:44 UTC by Dan Horák
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.99.5-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 06:03:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add scrollback option (2.10 KB, patch)
2007-11-07 10:44 UTC, Dan Horák
no flags Details | Diff

Description Dan Horák 2007-11-07 10:44:15 UTC
In the current gtkterm it is not possible to set a larger scrollback history
(mouse wheel or shift+pgup). I have created a simple patch to add this
possibility. For now it is required to edit the option in the .gtktermrc file,
but I will try to add some gui for this option together with terminal columns
and rows. Another useful thing is clipboard support.

Do you have any contact with upstream as this improvement could be pushed higher?

Comment 1 Dan Horák 2007-11-07 10:44:15 UTC
Created attachment 249961 [details]
add scrollback option

Comment 2 Hans de Goede 2007-11-07 13:14:10 UTC
I've added your patch, with a bugfix so that the scrollback buffer will also get
set to 100 when there is no existing .gtktermrc when starting gtkterm. I've
tried sending some of the other patches we carry upstream, but with little
result. You are ofcourse always free to try to send things upstream yourself.

I'll also do an update for F-8 with your patch in.


Comment 3 Dan Horák 2007-11-07 21:45:04 UTC
Oh, I had to miss the code it when I was going thru the config.c file.

Don't you look for a co-maintainer for gtkterm?

Comment 4 Hans de Goede 2007-11-07 21:56:56 UTC
(In reply to comment #3)
> Don't you look for a co-maintainer for gtkterm?

A co-maintainer is always welcome, just ask for the necessary rights in the
packagedb and I'll grant them.



Comment 5 Fedora Update System 2007-11-08 06:03:16 UTC
gtkterm-0.99.5-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.